[botan-devel] rdrand unknown on older gcc

Markus Wanner markus at bluegap.ch
Mon May 7 13:49:14 EDT 2012


Hi,

just as a heads-up: to be able to compile botan (rev 98e7cfc5..) I had
to disable the rdrand module, because gcc 4.4.7 doesn't know that asm
instruction, yet (nor the intrinsic method _rdrand32_step). I've been
unable to quickly figure out what gcc version it got introduced.

And yeah, gcc 4.4 *is* old. FWIW it's what Debian ships with their
stable release, though.

Regards

Markus Wanner



More information about the botan-devel mailing list